Advisories ยป MGASA-2016-0055

Updated privoxy packages fix security vulnerabilities

Publication date: 09 Feb 2016
Type: security
Affected Mageia releases : 5
CVE: CVE-2016-1982 , CVE-2016-1983

Description

This update fixes two denial-of-service vulnerabilities that have been 
discovered in privoxy 3.0.23:

The remove_chunked_transfer_coding function in filters.c in Privoxy before 
3.0.24 allows remote attackers to cause a denial of service (invalid read and 
crash) via crafted chunk-encoded content. (CVE-2016-1982)

The client_host function in parsers.c in Privoxy before 3.0.24 allows remote 
attackers to cause a denial of service (invalid read and crash) via an empty 
HTTP Host header. (CVE-2016-1983)
                

References

SRPMS

5/core